Name:           flasm
Version:        1.62
Release:        16%{?dist}
Summary:        Flash bytecode assembler disassembler

Group:          Development/Tools
License:        BSD
URL:            http://flasm.sourceforge.net/
# get here, but source name hasn't changed while the tarball has changed
#Source0:        http://www.nowrap.de/download/flasm16src.zip
Source0:        flasm162src.zip
Source1:        http://shield.jp/~dseg/rpms/flasm/flasm.1.gz
Patch0:         flasm-1.62-midrule.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  bison gperf flex zlib-devel
#Requires:       


%description
Flasm is a free command line assembler/disassembler of Flash ActionScript 
bytecode. It lets you make changes to any SWF. Flasm fully supports SWFs 
produced by Macromedia Flash 8 and earlier Flash versions.

%prep
%setup -q -c
%patch0 -p1 -b .midrule
# cleanup perms and end of lines
chmod -x *.TXT assembler.flex assembler.y *.c *.h *.ini Makefile \
 keywords.gperf logo.gif classic.css flasm.html

# Remove dos end of lines and convert to utf8
for file in *.TXT flasm.ini classic.css flasm.html; do
  sed 's/\r//' $file > $file.new
  touch -r $file $file.new
  mv $file.new $file
done
iconv -f ISO_8859-1 -t UTF-8 < CHANGES.TXT > CHANGES.TXT.utf8
touch -r CHANGES.TXT CHANGES.TXT.utf8
mv CHANGES.TXT.utf8 CHANGES.TXT

# man page associated with another flasm rpm
cp -p %{SOURCE1} .
gunzip flasm.1.gz


%build
#make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"
make CFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
install -d -m755 $RPM_BUILD_ROOT%{_bindir}/
install -d -m755 $RPM_BUILD_ROOT%{_mandir}/man1/
install flasm $RPM_BUILD_ROOT%{_bindir}/
install -m644 -p flasm.1 $RPM_BUILD_ROOT%{_mandir}/man1/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE.TXT CHANGES.TXT classic.css logo.gif flasm.html
%doc flasm.ini
%{_bindir}/flasm
%{_mandir}/man1/flasm.1*


%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.62-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.62-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.62-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.62-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.62-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.62-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.62-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.62-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.62-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.62-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.62-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Dec 20 2008 Patrice Dumas <pertusus@free.fr> 1.62-5
- patch for new bison, give type for $$ in midrule

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.62-4
- Autorebuild for GCC 4.3

* Tue Dec 25 2007 Patrice Dumas <pertusus@free.fr> 1.62-3
- minor cleanups

* Wed Aug  8 2007 Patrice Dumas <pertusus@free.fr> 1.62-2
- update to 1.62

* Sun Sep 10 2006 Patrice Dumas <pertusus@free.fr> 1.61-3
- rebuild for FC-6

* Sun Jul  2 2006 Patrice Dumas <pertusus@free.fr> 1.61-1
- Initial packaging
